SimpleGroovyPackageDoc (Groovy 5.0.6)

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyPackageDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

- All Implemented Interfaces and Traits:
    GroovyPackageDoc

      public class SimpleGroovyPackageDoc
      extends SimpleGroovyDoc
      implements GroovyPackageDoc

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyPackageDoc(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyClassDoc[]` | `allClasses()`
    `` | `public GroovyClassDoc[]` | `allClasses(boolean arg0)`
    `` | `public String` | `description()`
    `` | `public GroovyClassDoc[]` | `enums()`
    `` | `public GroovyClassDoc[]` | `errors()`
    `` | `public GroovyClassDoc[]` | `exceptions()`
    `` | `public GroovyClassDoc` | `findClass(String arg0)`
    `` | `public String` | `getRelativeRootPath()`
    `` | `public GroovyClassDoc[]` | `interfaces()`
    `` | `public String` | `nameWithDots()`
    `` | `public GroovyClassDoc[]` | `ordinaryClasses()`
    `` | `public void` | `putAll(Map<String, GroovyClassDoc> classes)`
    `` | `public void` | `setDescription(String description)`
    `` | `public void` | `setSummary(String summary)`
    `` | `public String` | `summary()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyPackageDoc(String name)

  - ### Method Detail

    - #### @Override
      public GroovyClassDoc[] allClasses()

    - #### @Override
      public GroovyClassDoc[] allClasses(boolean arg0)

    - #### @Override
      public String description()

    - #### @Override
      public GroovyClassDoc[] enums()

    - #### @Override
      public GroovyClassDoc[] errors()

    - #### @Override
      public GroovyClassDoc[] exceptions()

    - #### @Override
      public GroovyClassDoc findClass(String arg0)

    - #### @Override
      public String getRelativeRootPath()

    - #### @Override
      public GroovyClassDoc[] interfaces()

    - #### @Override
      public String nameWithDots()

    - #### @Override
      public GroovyClassDoc[] ordinaryClasses()

    - #### public void putAll(Map<String, GroovyClassDoc> classes)

    - #### public void setDescription(String description)

    - #### public void setSummary(String summary)

    - #### @Override
      public String summary()